## org.metaabm.ide
Class AgentImporter

    java.lang.Object
      org.eclipse.core.runtime.PlatformObject
          org.eclipse.core.internal.jobs.InternalJob
              org.eclipse.core.runtime.jobs.Job
                  org.metaabm.ide.AgentImporter

All Implemented Interfaces:
  java.lang.Comparable, org.eclipse.core.runtime.IAdaptable

Direct Known Subclasses:
  JavaAgentImporter

    public abstract class AgentImporter

extends org.eclipse.core.runtime.jobs.Job

Imports Java class information into a meta-model class.

Author:
  milesparker

Field Summary
`protected SAgent` `agent`
`protected java.lang.String` `path`

Fields inherited from class org.eclipse.core.runtime.jobs.Job
`ASYNC_FINISH, BUILD, DECORATE, INTERACTIVE, LONG, NONE, RUNNING, SHORT, SLEEPING, WAITING`

Fields inherited from class org.eclipse.core.internal.jobs.InternalJob
`manager`

Constructor Summary
`AgentImporter(SAgent agent, java.lang.String path, java.lang.String name)`

Method Summary
`protected void` `importAsSName(SNamed named, java.lang.String name, java.lang.String description)`
`protected static java.lang.String` `insertSpaces(java.lang.String propertyName)`

Methods inherited from class org.eclipse.core.runtime.jobs.Job
`addJobChangeListener, belongsTo, cancel, canceling, done, getJobManager, getName, getPriority, getProperty, getResult, getRule, getState, getThread, isBlocking, isSystem, isUser, join, removeJobChangeListener, run, schedule, schedule, setName, setPriority, setProgressGroup, setProperty, setRule, setSystem, setThread, setUser, shouldRun, shouldSchedule, sleep, toString, wakeUp, wakeUp, yieldRule`

Methods inherited from class org.eclipse.core.internal.jobs.InternalJob
`compareTo`

Methods inherited from class org.eclipse.core.runtime.PlatformObject
`getAdapter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Field Detail

### agent

    protected SAgent agent

### path

    protected java.lang.String path

Constructor Detail

### AgentImporter

    public AgentImporter(SAgent agent,
                         java.lang.String path,
                         java.lang.String name)

Method Detail

### importAsSName

    protected void importAsSName(SNamed named,
                                 java.lang.String name,
                                 java.lang.String description)

### insertSpaces

    protected static final java.lang.String insertSpaces(java.lang.String propertyName)